beep(1)

NAME
beep - play a beep sound

SYNOPSIS
beep [-F frequency] [-D duration_ms] [-r sample_rate_hz] [-d oss_device] [-g gain] [-B] [-h]

DESCRIPTION
The beep utility is used to playback a beep on the soundcard.

The options are as follows:

-F  Sets the center frequency of the beep in Hz. The default is 440 Hz .

-D  Sets the duration of the beep in milliseconds. The default is 150 ms .

-d  Sets the soundcard to use. The default is /dev/dsp .

-r  Sets the soundcard samplerate in Hz. The default is 48000 Hz.

-g  Sets the waveform gain, between 0 and 100 inclusively. The default is 75.

-B  Runs the beep utility in the background.

-h  Display summary of options.

EXAMPLES

Playback default beep sound using /dev/dsp .

$ beep

SEE ALSO
mixer(3), sound(4),

HISTORY
The beep utility first appeared in FreeBSD 14.0.

AUTHORS
Hans Petter Selasky <hselasky@FreeBSD.org>